Bug 894728 - [abrt][a11y] MapMode::MapMode
[abrt][a11y] MapMode::MapMode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:7630ac7b9323a399bd27ba8b56a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-13 08:10 EST by Frank Büttner
Modified: 2013-07-31 18:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (7.49 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: environ (1.64 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: backtrace (50.84 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: smolt_data (2.49 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: executable (42 bytes, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: maps (162.53 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: dso_list (21.92 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: var_log_messages (1.33 KB, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details
File: open_fds (473 bytes, text/plain)
2013-01-13 08:10 EST, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2013-01-13 08:10:26 EST
Version-Release number of selected component:
libreoffice-core-3.5.7.2-7.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=6
crash_function: MapMode::MapMode
kernel:         3.6.11-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 MapMode::MapMode at /usr/src/debug/libreoffice-3.5.7.2/vcl/source/gdi/mapmod.cxx:147
: #1 SvxTextEditSourceImpl::GetVisArea at /usr/src/debug/libreoffice-3.5.7.2/svx/source/unodraw/unoshtxt.cxx:938
: #2 SvxTextEditSource::GetVisArea at /usr/src/debug/libreoffice-3.5.7.2/svx/source/unodraw/unoshtxt.cxx:1112
: #3 accessibility::AccessibleTextHelper_Impl::UpdateVisibleChildren at /usr/src/debug/libreoffice-3.5.7.2/svx/source/accessibility/AccessibleTextHelper.cxx:822
: #4 accessibility::AccessibleTextHelper_Impl::ProcessQueue at /usr/src/debug/libreoffice-3.5.7.2/svx/source/accessibility/AccessibleTextHelper.cxx:1357
: #5 accessibility::AccessibleTextHelper_Impl::Notify at /usr/src/debug/libreoffice-3.5.7.2/svx/source/accessibility/AccessibleTextHelper.cxx:1519
: #6 SfxBroadcaster::Broadcast at /usr/src/debug/libreoffice-3.5.7.2/svl/source/notify/brdcst.cxx:64
: #7 SvxTextEditSourceImpl::Notify at /usr/src/debug/libreoffice-3.5.7.2/svx/source/unodraw/unoshtxt.cxx:360
: #8 SfxBroadcaster::Broadcast at /usr/src/debug/libreoffice-3.5.7.2/svl/source/notify/brdcst.cxx:64
: #9 SdrPaintView::VisAreaChanged at /usr/src/debug/libreoffice-3.5.7.2/svx/source/svdraw/svdpntv.cxx:1298
Comment 1 Frank Büttner 2013-01-13 08:10:31 EST
Created attachment 677697 [details]
File: core_backtrace
Comment 2 Frank Büttner 2013-01-13 08:10:33 EST
Created attachment 677698 [details]
File: environ
Comment 3 Frank Büttner 2013-01-13 08:10:35 EST
Created attachment 677699 [details]
File: limits
Comment 4 Frank Büttner 2013-01-13 08:10:37 EST
Created attachment 677700 [details]
File: backtrace
Comment 5 Frank Büttner 2013-01-13 08:10:39 EST
Created attachment 677701 [details]
File: cgroup
Comment 6 Frank Büttner 2013-01-13 08:10:41 EST
Created attachment 677702 [details]
File: smolt_data
Comment 7 Frank Büttner 2013-01-13 08:10:43 EST
Created attachment 677703 [details]
File: executable
Comment 8 Frank Büttner 2013-01-13 08:10:47 EST
Created attachment 677704 [details]
File: maps
Comment 9 Frank Büttner 2013-01-13 08:10:50 EST
Created attachment 677706 [details]
File: dso_list
Comment 10 Frank Büttner 2013-01-13 08:10:52 EST
Created attachment 677707 [details]
File: proc_pid_status
Comment 11 Frank Büttner 2013-01-13 08:10:54 EST
Created attachment 677708 [details]
File: var_log_messages
Comment 12 Frank Büttner 2013-01-13 08:10:56 EST
Created attachment 677709 [details]
File: open_fds
Comment 13 David Tardon 2013-01-14 03:36:35 EST
Can you reproduce the crash with the same presentation? It happened on ending a slideshow.
Comment 14 Frank Büttner 2013-01-14 11:40:57 EST
Yes it will crash often with the same.
Most when change the transition from one sheet to another.
Comment 15 javier del cristo 2013-06-30 09:21:27 EDT
I'm intent to make slides, but it crashed always again I'm not what happen

backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=6
crash_function: MapMode::MapMode
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.7-100.fc17.x86_64
package:        libreoffice-core-3.5.7.2-12.fc17
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
ureports_counter: 1
xsession_errors:
Comment 16 Fedora End Of Life 2013-07-03 17:12:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-07-31 18:06:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.